Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 90459 - Common Page Flow Editor for NetBeans - Stage 1
Common Page Flow Editor for NetBeans - Stage 1
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Joelle Lam
issues@obsolete
http://wiki.netbeans.org/wiki/view/Pa...
:
Depends on: 93848 94003 94064 95110 95473
Blocks: 90450 97894 97895
  Show dependency treegraph
 
Reported: 2006-12-01 20:47 UTC by Mark Dey
Modified: 2007-04-24 18:23 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Dey 2006-12-01 20:47:53 UTC
Creator has a visual implementation of a web page navigation editor, currently
based on JSF pages and the Creator application framework (i.e. using specific
files: navigation.xml to persist page navigation parameters).

Petr P has been thinking about visual page navigation of plain JSP which could
be incorporated into the visual editor, but would need some work.

Winston had some ideas about how to generalize the navigation facility by
registering services that process the actions in the editor. Winston, please
elaborate
Comment 1 Joelle Lam 2007-02-13 21:58:03 UTC
Understanding Dependencies.

94064 - can not add a multiview window until the multiview api is completed for
the JSF window.

94003 - can not know the navigation rules with out the faces api.

95473 - can not merge my branch into trunk with a dependency on graphlib until
after it has been integrated into the Platform Cluster
Comment 2 Joelle Lam 2007-03-14 19:40:50 UTC
This is stage 1 for the Page Flow Editor which is to be released in M8.

Expected functionality: 
1) Visually view all pages and it's links in a JSF Page
2) Be able to switch to visually view all Pages in the project.
3) Be able to create a link from one page to another.
4) Be able to add and remove pages.
5) Syncing with faces config model changes (not with general project changes
such as new files) while editor is open.
Comment 3 Joelle Lam 2007-04-24 18:23:31 UTC
This was completed in M8.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo